<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_margin="20dp"
    android:background="@drawable/bordered_all_radius"
    android:orientation="vertical">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white_paleb"
        android:padding="8dp">

        <TextView
            android:id="@+id/reftxt"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_gravity="center"
            android:fontFamily="@font/titillium_web_boldmedium"
            android:gravity="center"
            android:padding="5dp"
            android:text="Referral"
            android:textSize="20sp" />

        <ImageView
            android:id="@+id/cancel_button_ic"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_toRightOf="@+id/reftxt"
            android:gravity="right"
            android:padding="7dp"
            app:srcCompat="@drawable/ic_android_close" />


        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/reftxt"
            android:layout_gravity="center"
            android:gravity="center"
            android:orientation="vertical">


        </LinearLayout>


    </FrameLayout>


    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/reftxt"
        android:layout_gravity="center"
        android:fontFamily="@font/titillium_web_regular"
        android:gravity="center"
        android:padding="10dp"
        android:text="@string/referral_text" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="3"
        android:background="@color/white"
        android:orientation="vertical">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="16dp"
            android:layout_marginTop="16dp"
            android:fontFamily="@font/titillium_web_regular"
            android:gravity="center"
            android:text="Ask your friend to scan"
            android:textColor="@color/bg_middle_blue"
            android:textSize="13sp" />

        <ImageView
            android:id="@+id/qrImage"

            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:srcCompat="@drawable/ic_declined_vector" />


    </LinearLayout>

    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="1dp"
        android:layout_marginTop="10dp"
        android:fontFamily="@font/titillium_web_regular"
        android:gravity="center"
        android:text="Or type"
        android:textColor="@color/bg_middle_blue"
        android:textSize="13sp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="20dp"
        android:gravity="center"
        android:padding="6dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="4dp"
            android:fontFamily="@font/titillium_web_regular"
            android:gravity="center"
            android:text="Referral Code:"
            android:textSize="17sp" />

        <TextView
            android:id="@+id/referralCodeText"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="@font/titillium_web_boldmedium"
            android:gravity="center"
            android:text="012345678"
            android:textColor="?colorAccent"
            android:textSize="17sp"
            android:textStyle="bold" />


    </LinearLayout>


    <Button
        android:id="@+id/ok"
        style="@style/default_button_styleokclose"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="right"
        android:text="ok"
        android:visibility="gone" />


</LinearLayout>